/* dimensions du domaines */
LX = 1.;
LY = 1.;

/* nombre d'elements */
nx = 100;
ny = 100;

Point(1) = {0., 0., 0., 1.};
Point(2) = {LX, 0., 0., 1.};
Point(3) = {LX, LY, 0., 1.};
Point(4) = {0., LY, 0., 1.};
Line (1) = {1, 2};
Line (2) = {2, 3};
Line (3) = {3, 4};
Line (4) = {4, 1};

Line Loop(10)         = {1,2,3,4};
Ruled Surface(20)     = {10};

Transfinite Line{1,3} = nx + 1;
Transfinite Line{2,4} = ny + 1;

Transfinite Surface{20} = {1,2,3,4};

/* groupes de mailles */
Physical Line("LIG1") = {1}; 
Physical Line("LIG2") = {2};
Physical Line("LIG3") = {3};
Physical Line("LIG4") = {4};  

Physical Surface("SURF")={20};
