// densits
d1 = 6.;
d2 = 3.;
d3 = 0.2;
//d3 = 0.09;


// longueurs
L1 = 12.5;
L2 = 50.0;
L3 = 5;
L4 = 24.7;
h  = 1.2124;

// largeurs
l1 = 60.; 
l2 = 37.6;
l3 = 20.0;
l4 = 6;
l5 = 1.4;

// diamtre cercle
d = 12.5;

Point(1)   = {-L1,-l1/2.,0,d2};
Point(2)   = { L2,-l1/2.,0,d1};
Point(19)  = { L2, 0	,0,d1};
Point(3)   = { L2, l1/2.,0,d1};
Point(4)   = {-L1, l1/2.,0,d2};
Point(5)   = {-L1, l3/2.,0,d2};
Point(6)   = {  0, l3/2.,0,d2};
Point(7)   = {  0, l4/2.,0,d2};
Point(8)   = { L3, l4/2.,0,d2};
Point(9)   = { L3, l5/2.,0,d2};
Point(10)  = { L4-h, l5/2.,0,d2};
Point(101) = { L4 ,      0,0,d2};
Point(11)  = { L4-h,-l5/2.,0,d2};
Point(12)  = { L3,-l5/2.,0,d2};
Point(13)  = { L3,-l4/2.,0,d2};
Point(14)  = {  0,-l4/2.,0,d2};
Point(15)  = {  0,-l3/2.,0,d2};
Point(16)  = {-L1,-l3/2.,0,d2};

Line (1) = {1, 2};
Line (201) = {2, 19};
Line (202) = {19, 3};
Line (3) = {3, 4};
Line (4) = {4, 5};
Line (5) = {5, 6};
Line (6) = {6, 7};
Line (7) = {7, 8};
Line (8) = {8, 9};
Line (9) = {9, 10};
Line (10) = {10,101};
Line (101) = {101,11};
Line (11) = {11,12};
Line (12) = {12,13};
Line (13) = {13,14};
Line (14) = {14,15};
Line (15) = {15,16};
Line (16) = {16, 1};

Line Loop (1) = {1, 201, 202, 3, 4, 5, 6, 7, 8, 9, 10, 101,11, 12, 13, 14, 15, 16};

// cercles 
Point(20) = {   0  ,l2/2.,     0,d2};
Point(21) = {d/2.  ,l2/2.,     0,d2};
Point(22) = {   0  ,l2/2.+d/2.,0,d2};
Point(23) = {-d/2. ,l2/2.,     0,d2};
Point(24) = {   0  ,l2/2.-d/2.,0,d2};

Circle(20) = {21,20,22};
Circle(21) = {22,20,23};
Circle(22) = {23,20,24};
Circle(23) = {24,20,21};

Line Loop(24) = {20,21,22,23};

Point(30) = {    0, -l2/2.,     0,d2};
Point(31) = { d/2., -l2/2.,     0,d2};
Point(32) = {    0, -l2/2.+d/2.,0,d2};
Point(33) = {-d/2., -l2/2.,     0,d2};
Point(34) = {    0, -l2/2.-d/2.,0,d2};

Circle(30) = {31,30,32};
Circle(31) = {32,30,33};
Circle(32) = {33,30,34};
Circle(33) = {34,30,31};

Line Loop(34) = {30,31,32,33};

// inclusion cercle
Plane Surface (1) = {1, 24 ,34};

// raffinement local	  
Point(18) = { 30,0, 0,d2};
Attractor Point{18} = {d3, d3, 0.1};		  

Physical Surface(1) = {1};   // Surface

Physical Point(2) = {19};		// Point bloqu
Physical Point(3) = {22};		// Point B
Physical Point(4) = {34};		// Point B'
Physical Point(5) = {15};		// Point TEST


